Package org.zeromq

# Class ZMQ.Event

java.lang.Object
org.zeromq.ZMQ.Event

Enclosing class:
  `ZMQ`

public static class ZMQ.Event extends Object
Inner class: Event. Monitor socket event class

## Constructor Summary

Constructors
Constructor
Description
`Event(int event, Object value, String address)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAddress()`
Get the address.
`int`
`getEvent()`
`Object`
`getValue()`
`static ZMQ.Event`
`recv(ZMQ.Socket socket)`
Receive an event from a monitor socket.
`static ZMQ.Event`
`recv(ZMQ.Socket socket, int flags)`
Receive an event from a monitor socket.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Event

public Event(int event, Object value, String address)

## Method Details

### getEvent

public int getEvent()

### getValue

public Object getValue()

### getAddress

public String getAddress()
Get the address. For libzmq versions 3.2.x the address will be an empty string.

Returns:

### recv

public static ZMQ.Event recv(ZMQ.Socket socket, int flags) throws ZMQException
Receive an event from a monitor socket. For libzmq versions 3.2.x the address will be an empty string.

Parameters:
  `socket` - the socket
  `flags` - the flags to apply to the receive operation.
Returns:
  the received event or null if no message was received.
Throws:
  `ZMQException`

### recv

public static ZMQ.Event recv(ZMQ.Socket socket) throws ZMQException
Receive an event from a monitor socket. Does a blocking recv. For libzmq versions 3.2.x the address will be an empty string.

Parameters:
  `socket` - the socket
Returns:
  the received event.
Throws:
  `ZMQException`